gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Misc.EventBox

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A widget used to catch events for widgets which do not have their own window

Synopsis

- data EventBox
- class BinClass o => EventBoxClass o
- castToEventBox :: GObjectClass obj => obj -> EventBox
- gTypeEventBox :: GType
- toEventBox :: EventBoxClass o => o -> EventBox
- eventBoxNew :: IO EventBox
- eventBoxSetVisibleWindow :: EventBox -> Bool -> IO ()
- eventBoxGetVisibleWindow :: EventBox -> IO Bool
- eventBoxSetAboveChild :: EventBox -> Bool -> IO ()
- eventBoxGetAboveChild :: EventBox -> IO Bool
- eventBoxVisibleWindow :: Attr EventBox Bool
- eventBoxAboveChild :: Attr EventBox Bool

# Detail

The `EventBox` widget is a subclass of `Bin` which also has its own window. It is useful since it allows you to catch events for widgets which do not have their own window.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----EventBox

# Types

data EventBox Source #

#### Instances

Instances details

Eq EventBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: EventBox -> EventBox -> Bool Source # (/=) :: EventBox -> EventBox -> Bool Source #
Ord EventBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: EventBox -> EventBox -> Ordering Source # (<) :: EventBox -> EventBox -> Bool Source # (<=) :: EventBox -> EventBox -> Bool Source # (>) :: EventBox -> EventBox -> Bool Source # (>=) :: EventBox -> EventBox -> Bool Source # max :: EventBox -> EventBox -> EventBox Source # min :: EventBox -> EventBox -> EventBox Source #
GObjectClass EventBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: EventBox -> GObject Source # unsafeCastGObject :: GObject -> EventBox Source #
BinClass EventBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass EventBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
EventBoxClass EventBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass EventBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class BinClass o => EventBoxClass o Source #

#### Instances

Instances details

EventBoxClass EventBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToEventBox :: GObjectClass obj => obj -> EventBox Source #

gTypeEventBox :: GType Source #

toEventBox :: EventBoxClass o => o -> EventBox Source #

# Constructors

eventBoxNew :: IO EventBox Source #

Creates a new `EventBox`.

# Methods

eventBoxSetVisibleWindow :: EventBox -> Bool -> IO () Source #

Set whether the event box uses a visible or invisible child window. The default is to use visible windows.

In an invisible window event box, the window that that the event box creates is a "input only" window, which means that it is invisible and only serves to receive events.

A visible window event box creates a visible ("input output") window that acts as the parent window for all the widgets contained in the event box.

You should generally make your event box invisible if you just want to trap events. Creating a visible window may cause artifacts that are visible to the user, especially if the user is using a theme with gradients or pixmaps.

The main reason to create a non input-only event box is if you want to set the background to a different color or draw on it.

- Available since Gtk+ version 2.4

eventBoxGetVisibleWindow :: EventBox -> IO Bool Source #

Returns whether the event box has a visible window. See `eventBoxSetVisibleWindow` for details.

- Available since Gtk+ version 2.4

eventBoxSetAboveChild :: EventBox -> Bool -> IO () Source #

Set whether the event box window is positioned above the windows of its child, as opposed to below it. If the window is above, all events inside the event box will go to the event box. If the window is below, events in windows of child widgets will first got to that widget, and then to its parents.

The default is to keep the window below the child.

- Available since Gtk+ version 2.4

eventBoxGetAboveChild :: EventBox -> IO Bool Source #

Returns whether the event box window is above or below the windows of its child. See `eventBoxSetAboveChild` for details.

- Available since Gtk+ version 2.4

# Attributes

eventBoxVisibleWindow :: Attr EventBox Bool Source #

Whether the event box is visible, as opposed to invisible and only used to trap events.

Default value: `True`

eventBoxAboveChild :: Attr EventBox Bool Source #

Whether the event-trapping window of the eventbox is above the window of the child widget as opposed to below it.

Default value: `False`